public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Pacho Ramos" <pacho@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: gnome-extra/gnome-shell-extension-weather-in-the-clock/
Date: Wed,  4 May 2022 15:57:48 +0000 (UTC)	[thread overview]
Message-ID: <1651679860.34eb06b7f728c9e8159051d7b09b2b5132e625e3.pacho@gentoo> (raw)

commit:     34eb06b7f728c9e8159051d7b09b2b5132e625e3
Author:     Pacho Ramos <pacho <AT> gentoo <DOT> org>
AuthorDate: Wed May  4 15:57:40 2022 +0000
Commit:     Pacho Ramos <pacho <AT> gentoo <DOT> org>
CommitDate: Wed May  4 15:57:40 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=34eb06b7

gnome-extra/gnome-shell-extension-weather-in-the-clock: add 20220504

Signed-off-by: Pacho Ramos <pacho <AT> gentoo.org>

 .../Manifest                                       |  1 +
 ...-extension-weather-in-the-clock-20220504.ebuild | 49 ++++++++++++++++++++++
 2 files changed, 50 insertions(+)

diff --git a/gnome-extra/gnome-shell-extension-weather-in-the-clock/Manifest b/gnome-extra/gnome-shell-extension-weather-in-the-clock/Manifest
index f1ca49884f6c..843f54d436b8 100644
--- a/gnome-extra/gnome-shell-extension-weather-in-the-clock/Manifest
+++ b/gnome-extra/gnome-shell-extension-weather-in-the-clock/Manifest
@@ -1 +1,2 @@
 DIST gnome-shell-extension-weather-in-the-clock-20211108.tar.gz 127000 BLAKE2B 9c884b7bf093ef29fcd1cf3aa58accb4d5f70fa38bf9bd0cc0cfb81564952de9c6b9f1dbead26dd3902cc09d3be42f30c8e813a8fecb33c3753f45abe833974e SHA512 bb16b470f9d0d7fdcd90d5ec4a2723a97d808d8341c816aacd973390201c5e63a71aec51efc9953903a70ad964e406a104b9029c3c08b25b7a333de3e673dd6e
+DIST gnome-shell-extension-weather-in-the-clock-20220504.tar.gz 127002 BLAKE2B 38ad139e29660f8c91629048140c4a2ed7578376ad5e13c8138eda8c487ccfdbdd7fd1a3b1ce7d85407d0a2486c40e776f665cf11c897b218477c8e6d17b187d SHA512 27109e25e0e630233a895576e691c5daa550bb032bd748f6105560553ed05f5a8a47a3eb27ae90eee24dbff2508fed5420d1f81ceb4879f11ef0a98c63616923

diff --git a/gnome-extra/gnome-shell-extension-weather-in-the-clock/gnome-shell-extension-weather-in-the-clock-20220504.ebuild b/gnome-extra/gnome-shell-extension-weather-in-the-clock/gnome-shell-extension-weather-in-the-clock-20220504.ebuild
new file mode 100644
index 000000000000..063eb74bb8bb
--- /dev/null
+++ b/gnome-extra/gnome-shell-extension-weather-in-the-clock/gnome-shell-extension-weather-in-the-clock-20220504.ebuild
@@ -0,0 +1,49 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+inherit gnome2-utils
+
+DESCRIPTION="Display the current weather in the clock"
+HOMEPAGE="https://github.com/JasonLG1979/gnome-shell-extension-weather-in-the-clock"
+COMMIT="4c8dbc0831515e1b22d9b37601e83cebc2cc127d"
+SRC_URI="https://github.com/JasonLG1979/gnome-shell-extension-weather-in-the-clock/archive/${COMMIT}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-3+"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+RDEPEND="
+	app-eselect/eselect-gnome-shell-extensions
+	>=gnome-base/gnome-shell-3.38
+	gnome-extra/gnome-weather
+"
+DEPEND=""
+BDEPEND=""
+
+extension_uuid="weatherintheclock@JasonLG1979.github.io"
+S="${WORKDIR}/${PN}-${COMMIT}"
+
+src_compile() { :; }
+
+src_install() {
+	einstalldocs
+	insinto /usr/share/gnome-shell/extensions/
+	doins -r "${extension_uuid}"
+}
+
+pkg_preinst() {
+	gnome2_schemas_savelist
+}
+
+pkg_postinst() {
+	gnome2_schemas_update
+	ebegin "Updating list of installed extensions"
+	eselect gnome-shell-extensions update
+	eend $?
+}
+
+pkg_postrm() {
+	gnome2_schemas_update
+}


             reply	other threads:[~2022-05-04 15:57 UTC|newest]

Thread overview: 13+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2022-05-04 15:57 Pacho Ramos [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-02-18  6:08 [gentoo-commits] repo/gentoo:master commit in: gnome-extra/gnome-shell-extension-weather-in-the-clock/ Arthur Zamarin
2024-01-08 17:27 Sam James
2023-07-20  8:19 Pacho Ramos
2023-05-05 10:24 Pacho Ramos
2023-04-18 14:17 Pacho Ramos
2023-02-24 14:48 Pacho Ramos
2022-12-16 20:37 Arthur Zamarin
2022-09-18  8:33 Pacho Ramos
2022-05-29 10:48 Pacho Ramos
2022-04-10  7:39 Pacho Ramos
2022-03-09 21:36 Pacho Ramos
2022-01-29 10:42 Pacho Ramos

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1651679860.34eb06b7f728c9e8159051d7b09b2b5132e625e3.pacho@gentoo \
    --to=pacho@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox